# Visualisation Class Reference

`#include <Visualisation.h>`

Inheritance diagram for Visualisation:

List of all members.

## Public Member Functions
| Visualisation ()
| ~Visualisation ()
void | Initialise (const int &w, const int &h, const int &bpp)
void | Shutdown ()
SpriteID | CreateSpriteBox (const unsigned int &w, const unsigned int &h, const ColourRGB &borderColour, const ColourRGB &fillColour, unsigned int borderSize=1)
SpriteID | CreateSpriteBall (const int &radius, const ColourRGB &centreColour, const ColourRGB &outerColour)
SpriteID | CreateSpriteFromFile (char *filename)
SpriteID | CreateSpriteStarryBackground (const unsigned int &w, const unsigned int &h, const unsigned int &numStars)
SpriteID | CreateSpriteText (const std::string &message, const ColourRGB &colour)
void | RemoveSprite (const SpriteID &id)
void | DrawSprite (SpriteID id, const unsigned int &x, const unsigned int &y, unsigned int frame=0)
void | ClearScreen ()
unsigned int | GetSpriteWidth (const SpriteID &id)
unsigned int | GetSpriteHeight (const SpriteID &id)
SDL_Surface * | GetScreen ()
ColourRGB | GetTransparencyKey ()
## Static Public Member Functions
static Visualisation * | getSingleton ()
static void | deleteSingleton ()
## Static Protected Attributes
static Visualisation * | m_pInstance = NULL

## Detailed Description

Definition at line 15 of file Visualisation.h.

## Constructor & Destructor Documentation

Visualisation::Visualisation | ( |  | ) |

Definition at line 18 of file Visualisation.cpp.

Visualisation::~Visualisation | ( |  | ) |

Definition at line 26 of file Visualisation.cpp.

## Member Function Documentation

void Visualisation::ClearScreen | ( |  | ) |

Definition at line 137 of file Visualisation.cpp.

SpriteID Visualisation::CreateSpriteBall | ( | const int & | radius,
|  | const ColourRGB & | centreColour,
|  | const ColourRGB & | outerColour |
| ) |  |  |

Definition at line 59 of file Visualisation.cpp.

SpriteID Visualisation::CreateSpriteBox | ( | const unsigned int & | w,
|  | const unsigned int & | h,
|  | const ColourRGB & | borderColour,
|  | const ColourRGB & | fillColour,
|  | unsigned int | borderSize = `1` |
| ) |  |  |

Definition at line 67 of file Visualisation.cpp.

SpriteID Visualisation::CreateSpriteFromFile | ( | char * | filename | ) |

Definition at line 75 of file Visualisation.cpp.

SpriteID Visualisation::CreateSpriteStarryBackground | ( | const unsigned int & | w,
|  | const unsigned int & | h,
|  | const unsigned int & | numStars |
| ) |  |  |

Definition at line 85 of file Visualisation.cpp.

SpriteID Visualisation::CreateSpriteText | ( | const std::string & | message,
|  | const ColourRGB & | colour |
| ) |  |  |

Definition at line 94 of file Visualisation.cpp.

static void TSingleton< Visualisation >::deleteSingleton | ( |  | ) | `[inline, static, inherited]`

Definition at line 22 of file TSingleton.h.

void Visualisation::DrawSprite | ( | SpriteID | id,
|  | const unsigned int & | x,
|  | const unsigned int & | y,
|  | unsigned int | frame = `0` |
| ) |  |  |

Definition at line 120 of file Visualisation.cpp.

SDL_Surface* Visualisation::GetScreen | ( |  | ) | `[inline]`

Definition at line 38 of file Visualisation.h.

static Visualisation * TSingleton< Visualisation >::getSingleton | ( |  | ) | `[inline, static, inherited]`

Definition at line 15 of file TSingleton.h.

unsigned int Visualisation::GetSpriteHeight | ( | const SpriteID & | id | ) |

Definition at line 157 of file Visualisation.cpp.

unsigned int Visualisation::GetSpriteWidth | ( | const SpriteID & | id | ) |

Definition at line 142 of file Visualisation.cpp.

ColourRGB Visualisation::GetTransparencyKey | ( |  | ) | `[inline]`

Definition at line 39 of file Visualisation.h.

void Visualisation::Initialise | ( | const int & | w,
|  | const int & | h,
|  | const int & | bpp |
| ) |  |  |

Definition at line 30 of file Visualisation.cpp.

void Visualisation::RemoveSprite | ( | const SpriteID & | id | ) |

Definition at line 102 of file Visualisation.cpp.

void Visualisation::Shutdown | ( |  | ) |

Definition at line 48 of file Visualisation.cpp.

## Member Data Documentation

Visualisation * TSingleton< Visualisation >::m_pInstance = NULL`[inline, static, protected, inherited]`

Definition at line 29 of file TSingleton.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/Visualisation.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/Visualisation.cpp